var system = require("../../../system");
var settings = require("../../../../config/settings");
const logCtl = system.getObject("service.common.oplogSve");
//商标查询操作
class UtilsAuthSve {
  constructor() {
    this.opPlatformUtils = system.getObject("util.businessManager.opPlatformUtils");
  }
  async loginUserByChannelUserId(action_body, action_process, userpin, req) {
    var opResult = null;
    switch (action_process) {
      case "gsbhome":
        opResult = await this.getDefaultUserInfo(action_body, userpin);
        break;
      default:
        opResult = system.getResult(null, "action_process参数错误");
        break;
    }
    return opResult;
  }
  async getDefaultUserInfo(action_body, userpin) {
    var userinfo = await this.opPlatformUtils.getReqUserPinByChannelUserId(action_body, userpin);
    return userinfo;
  }

  //---------------登录-----------------------------------------------------
  async getReqUserPinByLgoin(action_body, action_process, userpin, req) {
    var userinfo = await this.opPlatformUtils.getReqUserPinByLgoin(action_body, userpin);
    return userinfo;
  }
  async getReqUserPinByLgoinVcode(action_body, action_process, userpin, req) {
    var userinfo = await this.opPlatformUtils.getReqUserPinByLgoinVcode(action_body, userpin, action_body.reqType);
    return userinfo;
  }

}
module.exports = UtilsAuthSve;
