<a name="menu" href="/doc">返回主目录</a>
1. [短信验证码](#smsCode)
1. [密码登录](#pwdLogin)
1. [验证码登录](#userPinByLgoinVcode)
1. [用户注册](#userPinByRegister)


## **<a name="smsCode"> 短信验证码</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getVerifyCode

``` javascript
    {
        "mobile":"15010929366" // Y 手机号
    }
```

#### 返回结果
```javascript
    {
        "status": 0, // 0为成功，否则失败
        "msg": "success",
        "data": null,
        "requestId": "4f3ea2afee3542f88d6b938394af84d8"
    }
```


## **<a name="pwdLogin"> 密码登录</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：userPinByLgoin

``` javascript
    {
        "mobile":"15010929366", // Y 手机号
        "password":"123456"    // Y 密码
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，2010为账户或密码错误，2060为重复登录，否则失败
        "msg": "success",
        "data": {
            "userpin": "230ecdf3333944ff834f56fba10a02aa" //用户登录后的凭证，增、删、改、查、涉及用户的需要传递此值在请求头中
        },
        "requestId": "1b12b0e9c190436da000386ddf693c8f"
    }
```



## **<a name="userPinByLgoinVcode"> 验证码登录</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：userPinByLgoinVcode
``` javascript
    {
        "mobile":"15010929366", // Y 手机号
        "vcode":"593555"   //  Y 验证码
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，2030为验证码错误，2060为重复登录，否则失败
        "msg": "success",
        "data": {
            "userpin": "230ecdf3333944ff834f56fba10a02aa" //用户登录后的凭证，增、删、改、查、涉及用户的需要传递此值在请求头中
        },
        "requestId": "1b12b0e9c190436da000386ddf693c8f"
    }
```



## **<a name="userPinByRegister"> 用户注册</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：userPinByRegister
``` javascript
    {
        "mobile":"15010929366", // Y 手机号
        "vcode":"593555",   //  Y 验证码
        "password":"123456" // Y 密码
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，2030为验证码错误，2060为重复登录，否则失败
        "msg": "success",
        "data": {
            "userpin": "230ecdf3333944ff834f56fba10a02aa" //用户登录后的凭证，增、删、改、查、涉及用户的需要传递此值在请求头中
        },
        "requestId": "1b12b0e9c190436da000386ddf693c8f"
    }
```

